net.i2p.router.message

## Class CloveSet

- java.lang.Object
- - net.i2p.router.message.CloveSet

     class CloveSet
    extends Object

Wrap up the data contained in a CloveMessage after being decrypted

### Constructor Summary

Constructors
Constructor and Description
`CloveSet()`

### Method Summary

Methods
`void` `addClove(GarlicClove clove)`
`Certificate` `getCertificate()`
`GarlicClove` `getClove(int index)`
`int` `getCloveCount()`
`long` `getExpiration()`
`long` `getMessageId()`
`void` `setCertificate(Certificate cert)`
`void` `setExpiration(long expiration)`
`void` `setMessageId(long id)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CloveSet

    public CloveSet()

### Method Detail

#### getCloveCount

    public int getCloveCount()

#### addClove

    public void addClove(GarlicClove clove)

#### getClove

    public GarlicClove getClove(int index)

#### getCertificate

    public Certificate getCertificate()

#### setCertificate

    public void setCertificate(Certificate cert)

#### getMessageId

    public long getMessageId()

#### setMessageId

    public void setMessageId(long id)

#### getExpiration

    public long getExpiration()

#### setExpiration

    public void setExpiration(long expiration)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`